Project/src/model/User.java
package model;

import java.io.Serializable;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

public class User implements Serializable{
	private int id;
	private String login_id;
	private String name;
	private Date birthDate;
	private String password;
	private String createDate;
	private String updateDate;

	//ログインセッション保存用のコンストラクタ
	public User(int id, String loginId,String name){
		this.id = id;
		this.login_id = loginId;
		this.name = name;
	}

	//全データ保存用のコンストラクタ
	public User(int id, String loginId,String name, Date birthDate, String password, String createDate, String updateDate){
		this.id = id;
		this.login_id = loginId;
		this.name = name;
		this.birthDate = birthDate;
		this.password = password;
		this.createDate = createDate;
		this.updateDate = updateDate;
	}

	//更新用のコンストラクタ
	public User(int id, String loginId,String name, String birthDate){
		this.id = id;
		this.login_id = loginId;
		this.name = name;
		setBirthDate(birthDate);
	}



	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	public String getLogin_id() {
		return login_id;
	}
	public void setLogin_id(String login_id) {
		this.login_id = login_id;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public Date getBirthDate() {
		return birthDate;
	}

	public String getBirthDateStr() {
		 String str = new SimpleDateFormat("yyyy-MM-dd").format(this.birthDate);
		return str;
	}

	public void setBirthDate(Date birthDate) {
		this.birthDate = birthDate;
	}

	public void setBirthDate(String birthDate) {
		SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");

        // Date型変換
        Date formatDate = null;
		try {
			formatDate = sdf.parse(birthDate);
		} catch (ParseException e) {
			e.printStackTrace();
		}
		this.birthDate = formatDate;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}
	public String getCreateDate() {
		return createDate;
	}
	public void setCreateDate(String createDate) {
		this.createDate = createDate;
	}
	public String getUpdateDate() {
		return updateDate;
	}
	public void setUpdateDate(String updateDate) {
		this.updateDate = updateDate;
	}

}

Project/src/controller/LoginServlet.java
package controller;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import dao.UserDao;
import model.User;

/**
 * Servlet implementation class LoginServlet
 */
@WebServlet("/LoginServlet")
public class LoginServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public LoginServlet() {
        super();
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

		//ログインセッションがある場合：ユーザ一覧へリダイレクト
        HttpSession session = request.getSession();
		User loginCheck = (User)session.getAttribute("userInfo");

		if(loginCheck != null) {
			response.sendRedirect("UserListServlet");
		}else {
			//ログイン画面へフォワード
			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/login.jsp");
			dispatcher.forward(request, response);
		}
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
        // リクエストパラメータの文字コードを指定
        request.setCharacterEncoding("UTF-8");

        //リクエストパラメータを取得
        String loginId = request.getParameter("loginId");
        String password = request.getParameter("password");

        //リクエストパラメータを引数に渡して、daoを実行
        UserDao userDao = new UserDao();
        User user = userDao.findByLoginInfo(loginId,password);

        //ログイン失敗の場合：ログイン画面へフォワード
        if(user == null) {
        	//リクエストスコープにエラーメッセージをセット
        	request.setAttribute("errMsg", "ログインIDまたはパスワードが異なります。");

        	//ログイン画面にフォワード
        	RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/login.jsp");
        	dispatcher.forward(request, response);
        	return;
        }

        //ログイン成功の場合：ユーザ一覧画面へリダイレクト
        //ユーザ情報をセッションスコープにセット
        HttpSession session = request.getSession();
        session.setAttribute("userInfo", user);

        //リダイレクト
        response.sendRedirect("UserListServlet");
	}

}

Project/src/controller/UserDeleteServlet.java
package controller;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import dao.UserDao;
import model.User;

/**
 * Servlet implementation class UserDeleteServlet
 */
@WebServlet("/UserDeleteServlet")
public class UserDeleteServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public UserDeleteServlet() {
        super();
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		//ログインセッションがない場合：ログイン画面へリダイレクト
        HttpSession session = request.getSession();
		User loginCheck = (User)session.getAttribute("userInfo");

		if(loginCheck == null) {
			response.sendRedirect("LoginServlet");
		}else {
			//URLからgetパラメータとしてIDを受け取る
			String id = request.getParameter("id");

			//idのユーザの情報を取得
			UserDao userDao = new UserDao();
			User user = userDao.userDetail(id);

			//取得した詳細情報をリクエストスコープに保存
			request.setAttribute("user", user);

			//削除画面jspへフォワード
			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userDelete.jsp");
			dispatcher.forward(request, response);
		}
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		//URLからgetパラメータとしてID受け取る
		String id = request.getParameter("id");

		//idのユーザ情報を削除
		UserDao userDao = new UserDao();
		userDao.userDelete(id);

		//ユーザ一覧画面へリダイレクト
		response.sendRedirect("UserListServlet");

	}

}

Project/src/controller/UserDetailServlet.java
package controller;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import dao.UserDao;
import model.User;

/**
 * Servlet implementation class UserDetailServlet
 */
@WebServlet("/UserDetailServlet")
public class UserDetailServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public UserDetailServlet() {
        super();
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		//ログインセッションがない場合：ログイン画面へリダイレクト
        HttpSession session = request.getSession();
		User loginCheck = (User)session.getAttribute("userInfo");

		if(loginCheck == null) {
			response.sendRedirect("LoginServlet");
		}else {
			//URLからgetパラメータとしてIDを受け取る
			String id = request.getParameter("id");

	/*		// 確認用：idをコンソールに出力
			System.out.println(id);
	*/
			//idを引数として、そのユーザの情報を取得
			UserDao userDao = new UserDao();
			User user = userDao.userDetail(id);

			//取得した詳細情報をリクエストスコープに保存
			request.setAttribute("user", user);

			//詳細画面jspへフォワード
			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userDetail.jsp");
			dispatcher.forward(request, response);
		}
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

	}

}

Project/src/controller/UserListServlet.java
package controller;

import java.io.IOException;
import java.util.List;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import dao.UserDao;
import model.User;

/**
 * Servlet implementation class UserListServlet
 */
@WebServlet("/UserListServlet")
public class UserListServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public UserListServlet() {
        super();
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		//ログインセッションがない場合：ログイン画面へリダイレクト
        HttpSession session = request.getSession();
		User loginCheck = (User)session.getAttribute("userInfo");

		if(loginCheck == null) {
			response.sendRedirect("LoginServlet");
		}else {

		//全ユーザ情報を取得
		UserDao userDao = new UserDao();
		List<User> userList = userDao.findAll();

		//リクエストスコープにユーザ一覧情報をセット
		request.setAttribute("userList", userList);

		//ユーザ一覧画面へフォワード
		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userList.jsp");
		dispatcher.forward(request, response);
		}
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

	//ユーザ検索機能

    // リクエストパラメータの文字コードを指定
    request.setCharacterEncoding("UTF-8");

	//リクエストパラメータを取得
	String loginId = request.getParameter("loginId");
	String name = request.getParameter("name");
	String birthDate1 = request.getParameter("birthDate1");
	String birthDate2 = request.getParameter("birthDate2");

	//条件でユーザ検索
	UserDao userDao = new UserDao();
	List<User> userList = userDao.searchUser(loginId, name, birthDate1, birthDate2);

	//リクエストスコープにユーザ一覧情報をセット
	request.setAttribute("userList", userList);

	//ユーザ一覧画面へフォワード
	RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userList.jsp");
	dispatcher.forward(request, response);
	}





}

Project/src/controller/UserRegisterServlet.java
package controller;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import dao.UserDao;
import model.User;

/**
 * Servlet implementation class UserRegisterServlet
 */
@WebServlet("/UserRegisterServlet")
public class UserRegisterServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public UserRegisterServlet() {
        super();
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		//ログインセッションがない場合：ログイン画面へリダイレクト
        HttpSession session = request.getSession();
		User loginCheck = (User)session.getAttribute("userInfo");

		if(loginCheck == null) {
			response.sendRedirect("LoginServlet");
		}else {
			//新規登録jspへフォワード
			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userRegister.jsp");
			dispatcher.forward(request, response);
		}
	}


	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
        // リクエストパラメータの文字コードを指定
        request.setCharacterEncoding("UTF-8");

        //リクエストパラメータを取得
        String loginId = request.getParameter("loginId");
        String password = request.getParameter("password");
        String password2 = request.getParameter("password2");
        String name = request.getParameter("name");
        String birthDate = request.getParameter("birthDate");

        //登録可否フラグ：否ならfalse
        Boolean flag = true;

    	//パスワードが不一致の場合
    	if (!password.equals(password2)) {
    		flag = false;
        //未入力項目がある場合
    	}else if(loginId.isEmpty() || password.isEmpty() || password2.isEmpty() || name.isEmpty() || birthDate.isEmpty()) {
    		flag = false;
    	}else {
    	//ログインIDが使用済の場合
	    	UserDao IdCheck = new UserDao();
	    	flag = IdCheck.idCheck(loginId);
    	}

        //登録不可の場合：新規登録画面へ戻る、パスワード以外の部分は引き継ぎ表示する
    	if (flag == false) {
    		//リクエストスコープにエラーメッセージをセット
        	request.setAttribute("errMsg", "入力された内容は正しくありません。");

        	//入力されたログインID、ユーザ名、生年月日をリクエストスコープにセット
        	request.setAttribute("loginId", loginId);
        	request.setAttribute("name", name);
        	request.setAttribute("birthDate", birthDate);

        	//ログイン画面にフォワード
        	RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userRegister.jsp");
        	dispatcher.forward(request, response);
        	return;

    	}

        //登録成功の場合：ユーザ一覧画面へリダイレクト
        //リクエストパラメータを引数に渡してdaoを実行
        UserDao userDao = new UserDao();
        userDao.userRegister(loginId, password, name, birthDate);

        response.sendRedirect("UserListServlet");

	}

}

Project/src/controller/UserUpdateServlet.java
package controller;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import dao.UserDao;
import model.User;

/**
 * Servlet implementation class UserUpdateServlet
 */
@WebServlet("/UserUpdateServlet")
public class UserUpdateServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public UserUpdateServlet() {

    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		//ログインセッションがない場合：ログイン画面へリダイレクト
        HttpSession session = request.getSession();
		User loginCheck = (User)session.getAttribute("userInfo");

		if(loginCheck == null) {
			response.sendRedirect("LoginServlet");
		}else {
			//URLからgetパラメータとしてIDを受け取る
			String id = request.getParameter("id");

			//idを引数として、そのユーザの情報を取得
			UserDao userDao = new UserDao();
			User user = userDao.userDetail(id);

			//取得した詳細情報をリクエストスコープに保存
			request.setAttribute("user", user);

			//更新画面jspへフォワード
			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userUpdate.jsp");
			dispatcher.forward(request, response);
		}
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		// リクエストパラメータの文字コードを指定
        request.setCharacterEncoding("UTF-8");

        //URLからgetパラメータとしてIDを受け取る
		String id = request.getParameter("id");
		String loginId = request.getParameter("login_id");

        //リクエストパラメータを取得
        String password = request.getParameter("password");
        String password2 = request.getParameter("password2");
        String name = request.getParameter("name");
        String birthDate = request.getParameter("birthDate");

        //更新可否フラグ：否ならfalse
	    Boolean flag = true;

        if(password.isEmpty() && password2.isEmpty()) {
        	if(name.isEmpty() || birthDate.isEmpty()) {
        		flag = false;
        	}
        }else
		//パスワードが不一致の場合
		if (!password.equals(password2)) {
			flag = false;
	    //未入力項目がある場合
		}else if(password.isEmpty() || password2.isEmpty() || name.isEmpty() || birthDate.isEmpty()) {
			flag = false;
		}

	    //更新不可の場合：更新画面へ戻る、パスワード以外の部分は引き継ぎ表示する
		if (flag == false) {
			//リクエストスコープにエラーメッセージをセット
	    	request.setAttribute("errMsg", "入力された内容は正しくありません。");

	    	//入力されたユーザ名、生年月日をリクエストスコープにセット
	    	User user = new User(Integer.parseInt(id),loginId,name,birthDate);
	       	request.setAttribute("user",user);

	    	//ログイン画面にフォワード
	    	RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userUpdate.jsp");
	    	dispatcher.forward(request, response);

		}

        //更新成功の場合：ユーザ一覧画面へリダイレクト
        //リクエストパラメータを引数に渡してdaoを実行
        UserDao userDao = new UserDao();
       	userDao.userUpdate(id, password, name, birthDate);

        //更新された情報でログインセッションを保存
        User user = userDao.userDetail(id);
        HttpSession session = request.getSession();
        session.setAttribute("userInfo", user);

        //ユーザ一覧画面へリダイレクト
        response.sendRedirect("UserListServlet");
	}

}

Project/WebContent/WEB-INF/jsp/login.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<!DOCTYPE html>
<html lang="ja">
<head>
	<meta charset="UTF-8">
	<title>ログイン画面</title>
	<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
	integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
	crossorigin="anonymous">

</head>
<body>
	<div class="container">

		<br>

		<!-- エラーメッセージがある場合は表示 -->
		<c:if test= "${errMsg != null}">
			<div class="alert alert-danger" role="alert">
				${errMsg}
			</div>
		</c:if>

		<h1 class="text-center">ログイン画面</h1>

		<form action="LoginServlet" method="post">
			<div class="form-group row">
				<label class="col-sm-3 col-form-label">ログインID</label>
				<div class="col-sm-9">
					<input type="text" name="loginId" class="form-control">
				</div>
			</div>

			<div class="form-group row">
				<label class="col-sm-3 col-form-label">パスワード</label>
				<div class="col-sm-9">
					<input type="password" name="password" class="form-control">
				</div>
			</div>

			<div class="text-center">
				<button type="submit" class="btn btn-lg btn-primary ">ログイン</button>
			</div>
		</form>

	</div>
</body>
</html>

Project/WebContent/WEB-INF/jsp/userDelete.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<!DOCTYPE html>
<html lang="ja">
<head>
	<meta charset="UTF-8">
	<title>ユーザ削除</title>
	<link rel="stylesheet"
		href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css"
		integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO"
		crossorigin="anonymous">
</head>
<body>

	<header>
		<nav class="navbar navbar-expand navbar-secondary bg-secondary">
		<div class="collapse navbar-collapse justify-content-end">
			<ul class="navbar-nav">
				<li class="nav-text">${userInfo.name}さん</li>
				<li class="nav-item">
					<a class="nav-link" href="LogoutServlet">ログアウト</a>
				</li>
			</ul>
		</div>
		</nav>
	</header>
	<br>
	<div class="container">

		<h1 class="text-center">ユーザ削除確認</h1>

			<p>ログインID：${user.login_id} を削除しますか？</p>
			<br>
			<div class="form-group row">
 				<div class="col-1">
				</div>
				<div class="col-5">
					<a href="UserListServlet" type="submit" class="btn btn-ligth btn-block">キャンセル</a>
				</div>
				<div class="col-5">
					<form action="UserDeleteServlet" method ="post">
						<input type="hidden" name="id" value="${user.id}">
							<button type="submit" class="btn btn-primary btn-block">OK</button>
					</form>
				</div>
			</div>

	</div>

</body>
</html>

Project/WebContent/WEB-INF/jsp/userDetail.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<!DOCTYPE html>
<html lang="ja">
<head>
	<meta charset="UTF-8">
	<title>ユーザ情報詳細</title>
	<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css"
	integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO"
	crossorigin="anonymous">
</head>
<body>

	<header>
		<nav class="navbar navbar-expand navbar-secondary bg-secondary">
		<div class="collapse navbar-collapse justify-content-end">
			<ul class="navbar-nav">
				<li class="nav-text">${userInfo.name}さん</li>
				<li class="nav-item">
					<a class="nav-link" href="LogoutServlet">ログアウト</a>
				</li>
			</ul>
		</div>
		</nav>
	</header>
	<br>
	<div class="container">

		<h1 class="text-center">ユーザ情報詳細参照</h1>

			<div class="form-horizontal">

				<div class="form-group row">
					<label class="col-sm-2 col-form-label">ログインID</label>
					<div class="col-sm-10">
						<p class="form-control-plaintext">${user.login_id}</p>
					</div>
				</div>

				<div class="form-group row">
					<label class="col-sm-2 col-form-label">ユーザ名</label>
					<div class="col-sm-10">
						<p class="form-control-plaintext">${user.name}</p>
					</div>
				</div>

				<div class="form-group row">
					<label class="col-sm-2 col-form-label">生年月日</label>
					<div class="col-sm-10">
						<p class="form-control-plaintext">${user.birthDate}</p>
					</div>
				</div>

				<div class="form-group row">
					<label class="col-sm-2 col-form-label">登録日時</label>
					<div class="col-sm-10">
						<p class="form-control-plaintext">${user.createDate}</p>
					</div>
				</div>

				<div class="form-group row">
					<label class="col-sm-2 col-form-label">更新日時</label>
					<div class="col-sm-10">
						<p class="form-control-plaintext">${user.updateDate}</p>
					</div>
				</div>

				<a href="UserListServlet">戻る</a>

			</div>

	</div>
</body>
</html>

Project/WebContent/WEB-INF/jsp/userUpdate.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>


<!DOCTYPE html>
<html lang="ja">
<head>
<meta charset="UTF-8">
<title>ユーザ情報更新</title>
<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css"
	integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO"
	crossorigin="anonymous">
</head>
<body>
	<header>
		<nav class="navbar navbar-expand navbar-secondary bg-secondary">
		<div class="collapse navbar-collapse justify-content-end">
			<ul class="navbar-nav">
				<li class="nav-text">${userInfo.name}さん</li>
				<li class="nav-item">
					<a class="nav-link" href="LogoutServlet">ログアウト</a>
				</li>
			</ul>
		</div>
		</nav>
	</header>
	<br>
	<div class="container">

		<!-- エラーメッセージがある場合は表示 -->
		<c:if test= "${errMsg != null}">
			<div class="alert alert-danger" role="alert">
				${errMsg}
			</div>
		</c:if>

		<h1 class="text-center">ユーザ情報更新</h1>

		<form action="UserUpdateServlet" method="post" class="form-horizontal">
			<input type="hidden" name="id" value="${user.id}">
			<input type="hidden" name="login_id" value="${user.login_id}">

			<div class="form-goup row">
				<label class="col-sm-2 col-form-label">ログインID</label>
				<div class="col-sm-10">
					<p class="form-control-plaintext">${user.login_id}</p>
				</div>
			</div>

			<div class="form-group row">
				<label class="col-sm-2 col-form-label">パスワード</label>
				<div class="col-sm-10">
					<input type="password" class="form-control" name="password">
				</div>
			</div>

			<div class="form-group row">
				<label class="col-sm-2 col-form-label">パスワード(確認)</label>
				<div class="col-sm-10">
					<input type="password" class="form-control" name="password2">
				</div>
			</div>

			<div class="form-group row">
				<label class="col-sm-2 col-form-label">ユーザ名</label>
				<div class="col-sm-10">
					<input type="text" class="form-control" name="name" value="${user.name}">
				</div>
			</div>

			<div class="form-group row">
				<label class="col-sm-2 col-form-label">生年月日</label>
				<div class="col-sm-10">
					<input type="date" class="form-control" name="birthDate" value="${user.birthDateStr}">
				</div>
			</div>

			<div class="text-center">
				<button type="submit" class="btn btn-primary">更新</button>
			</div>

			<a href="UserListServlet">戻る</a>
		</form>
	</div>
</body>
</html>